Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Views/LoginRequired/Admin.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Views/LoginRequired/Admin.cshtml	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Views/LoginRequired/Admin.cshtml	(revision 11222)
@@ -88,5 +88,5 @@
       <label>Limit</label>
       <select id="SlaveLimit">
-        <option>10</option>
+        <option>20</option>
         <option>50</option>
         <option selected="selected">100</option>
@@ -122,5 +122,5 @@
       <label>Limit</label>
       <select id="ExceptionLimit">
-        <option>2</option>
+        <option>20</option>
         <option>50</option>
         <option selected="selected">100</option>
@@ -227,20 +227,5 @@
     //User Overview
     function RefreshUser() {
-      selectedUser = $("#UserList").val();
-      limit = $("#UserLimit").val();
-      startDate = null;
-      endDate = null;
-      jobId = null;
-      taskState = null;
-      if ($("[value='UserDate']").is(":checked")) {
-        startDate = $('#UserStart').val();
-        endDate = $('#UserEnd').val();
-      }
-      if ($("[value='JobName']").is(':checked')) {
-        jobId = $('#JobNames').val();
-      }
-      if ($("[value='TaskState']").is(':checked')) {
-        taskState = $('#TaskState').val();
-      }
+      CheckFilters("User");
       @ExceptionHelper.UserExceptions("TasksContainer", Url.Action("TaskExceptions", "ExceptionData"), "limit", "selectedUser", "startDate", "endDate", "jobId", "taskState")
       @ChartHelper.TasksForUser("TasksContainer",Url.Action("UserTask", "ChartData"), "RefreshUser", "selectedUser", "limit", "startDate", "endDate", "jobId", "taskState", "pageNumber")
@@ -254,7 +239,5 @@
 
     function RefreshTask() {
-      selectedUser = $("#TaskUserList").val();
-      startDate = $('#TaskStart').val();
-      endDate = $('#TaskEnd').val();
+      CheckFilters("Task");
       @AdminHelper.UserTaskStats("TaskStatsContainer", Url.Action("TaskStats", "AdminData"), "selectedUser", "startDate", "endDate")
     }
@@ -262,15 +245,5 @@
     //Slave Overview
     function RefreshSlave() {
-      selectedUser = null;
-      limit = $("#SlaveLimit").val();
-      startDate = null;
-      endDate = null;
-      if ($("[value='SlaveDate']").is(":checked")) {
-        startDate = $('#SlaveStart').val();
-        endDate = $('#SlaveEnd').val();
-      }
-      if ($("[value='User']").is(':checked')) {
-        selectedUser = $('#SlaveUserList').val();
-      }
+      CheckFilters("Slave");
       @ChartHelper.SlaveInfoChart("SlavesContainer", Url.Action("SlaveInfo", "ChartData"), "limit", false, "startDate", "endDate", "selectedUser", "RefreshSlave", "pageNumber")
       pageNumber = null;
@@ -283,23 +256,64 @@
 
     function RefreshException() {
-      selectedSlave = null;
-      limit = $("#ExceptionLimit").val();
+      CheckFilters("Exception");
+      @ExceptionHelper.UserExceptions("ExceptionContainer",Url.Action("TaskExceptions","ExceptionData"),"limit",null,"startDate","endDate",null,null,"selectedSlave")
+      @ExceptionHelper.ErrorsOnSlaves("ExceptionContainer",Url.Action("SlaveExceptions","ExceptionData"),"limit","startDate","endDate","selectedSlave","RefreshException","pageNumber")
+    }
+    @ExceptionHelper.ShowSlaveInfo(Url.Action("SlaveInfo","ChartData"),"limit","startDate","endDate")
+
+    //General Chart Methods
+    function CheckFilters(currentTab) {
       startDate = null;
       endDate = null;
-      if ($("[value='ExceptionDate']").is(":checked")) {
-        startDate = $('#ExceptionStart').val();
-        endDate = $('#ExceptionEnd').val();
+      switch(currentTab) {
+        case "User":
+          selectedUser = $("#UserList").val();
+          jobId = null;
+          taskState = null;
+          limit = $("#UserLimit").val();
+          if ($("[value='UserDate']").is(":checked")) {
+            startDate = $('#UserStart').val();
+            endDate = $('#UserEnd').val();
+          }
+          if ($("[value='JobName']").is(':checked')) {
+            jobId = $('#JobNames').val();
+          }
+          if ($("[value='TaskState']").is(':checked')) {
+            taskState = $('#TaskStates').val();
+          }
+          break;
+        case "Task":
+          selectedUser = $("#TaskUserList").val();
+          startDate = $('#TaskStart').val();
+          endDate = $('#TaskEnd').val();
+          break;
+        case "Slave":
+          selectedUser = null;
+          limit = $("#SlaveLimit").val();
+          if ($("[value='SlaveDate']").is(":checked")) {
+            startDate = $('#SlaveStart').val();
+            endDate = $('#SlaveEnd').val();
+          }
+          if ($("[value='User']").is(':checked')) {
+            selectedUser = $('#SlaveUserList').val();
+          }
+          break;
+        case "Exception":
+          selectedSlave = null;
+          limit = $("#ExceptionLimit").val();
+          if ($("[value='ExceptionDate']").is(":checked")) {
+            startDate = $('#ExceptionStart').val();
+            endDate = $('#ExceptionEnd').val();
+          }
+          if ($("[value='ExceptionSlave']").is(':checked')) {
+            selectedSlave = $('#Slaves').val();
+          }
       }
-      if ($("[value='ExceptionSlave']").is(':checked')) {
-        selectedSlave = $('#Slaves').val();
-      }
-      @ExceptionHelper.UserExceptions("ExceptionContainer",Url.Action("TaskExceptions","ExceptionData"),"limit",null,"startDate","endDate",null,null,"selectedSlave")
-      @ExceptionHelper.ErrorsOnSlaves("ExceptionContainer",Url.Action("SlaveExceptions","ExceptionData"),"limit","startDate","endDate","selectedSlave","RefreshException","pageNumber")
-    }
-    @ExceptionHelper.ShowSlaveInfo(Url.Action("SlaveInfo","ChartData"),"limit","startDate","endDate")
-
-    //General Chart Methods
+    }
+
     @ChartHelper.ResizeCharts()
     @ExceptionHelper.ScrollToException()
+    @AdminHelper.MoreTaskInfo(Url.Action("MoreTaskInfo","AdminData"))
+    @AdminHelper.MoreSlaveInfo(Url.Action("MoreSlaveInfo","AdminData"))
   </script>
 }
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Views/LoginRequired/UserTask.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Views/LoginRequired/UserTask.cshtml	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive.Statistics/3.3/Views/LoginRequired/UserTask.cshtml	(revision 11222)
@@ -127,5 +127,5 @@
       }
       if ($("[value='TaskState']").is(':checked')) {
-        taskState = $('#TaskState').val();
+        taskState = $('#TaskStates').val();
       }
       @ExceptionHelper.UserExceptions("TasksContainer",Url.Action("TaskExceptions", "ExceptionData"),"limit","userName","startDate","endDate","jobId","taskState")
@@ -151,4 +151,5 @@
     @ChartHelper.ResizeCharts()
     @ExceptionHelper.ScrollToException()
+    @AdminHelper.MoreTaskInfo(Url.Action("MoreTaskInfo","AdminData"))
   </script>
 }
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/HiveStatisticsGenerator.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/HiveStatisticsGenerator.cs	(revision 11221)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/HiveStatisticsGenerator.cs	(revision 11222)
@@ -198,6 +198,4 @@
           TotalMemory = s.Slave.Memory ?? 0,
           CpuUtilization = s.Slave.CpuUtilization,
-          TrafficIn = 0,
-          TrafficOut = 0,
           TotalTimeIdle = s.Slave.SlaveState == SlaveState.Idle && s.Slave.IsAllowedToCalculate
                                   ? duration : 0.0,
@@ -233,5 +231,4 @@
         select new {
           Task = task,
-          TaskDataSize = task.JobData.DataSize,
           StateLogs = task.StateLogs.OrderBy(sl => sl.DateTime),
           LastClientId = client != null ? client.Id : default(Guid?),
@@ -252,6 +249,4 @@
           CoresRequired = t.Task.CoresNeeded,
           MemoryRequired = t.Task.MemoryNeeded,
-          TaskSize = t.LastFact == null ? t.TaskDataSize : t.LastFact.TaskSize,
-          ResultSize = t.Task.State == TaskState.Finished ? t.TaskDataSize : default(long?),
           NumCalculationRuns = stateLogsLinkedList.CountCalculationRuns(),
           NumRetries = stateLogsLinkedList.CountRetries(),
